cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/aws-endpoint-connections/{endpoint_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"status":"ENDPOINT_AVAILABLE"}'{
"cloud_provider": "GCP",
"endpoint_id": "<string>",
"region_name": "<string>",
"service_id": "<string>",
"status": "ENDPOINT_PENDING"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Sets the AWS Endpoint Connection state based on what is passed in the body
The “status” in the returned proto does not reflect the latest post-update status, but rather the status before the state is transitioned.
PATCH
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
aws-endpoint-connections
/
{endpoint_id}
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/aws-endpoint-connections/{endpoint_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"status":"ENDPOINT_AVAILABLE"}'{
"cloud_provider": "GCP",
"endpoint_id": "<string>",
"region_name": "<string>",
"service_id": "<string>",
"status": "ENDPOINT_PENDING"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id is the ID for the cluster.
endpoint_id is the ID for the VPC endpoint on the customer's side.
Body
application/json
The statuses map to the statuses returned by the AWS API.
Available options:
ENDPOINT_PENDING, ENDPOINT_PENDING_ACCEPTANCE, ENDPOINT_AVAILABLE, ENDPOINT_DELETING, ENDPOINT_DELETED, ENDPOINT_REJECTED, ENDPOINT_FAILED, ENDPOINT_EXPIRED Response
A successful response.
- GCP: The Google Cloud Platform cloud provider.
- AWS: The Amazon Web Services cloud provider.
Available options:
GCP, AWS endpoint_id is the client side of the PrivateLink connection.
region_name is the cloud provider region name (i.e. us-east-1).
service_id is the server side of the PrivateLink connection. This is the same as AWSPrivateLinkEndpoint.service_id.
The statuses map to the statuses returned by the AWS API.
Available options:
ENDPOINT_PENDING, ENDPOINT_PENDING_ACCEPTANCE, ENDPOINT_AVAILABLE, ENDPOINT_DELETING, ENDPOINT_DELETED, ENDPOINT_REJECTED, ENDPOINT_FAILED, ENDPOINT_EXPIRED 
